#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "boolean.h"
#include "train.h"

int main()
{
	Train *trains;
	int i, dim;
	StationName departureStation, arrivalStation;
	TrainStopList stopList;

	FILE *f = fopen("Trains.txt", "r");
	if (f == NULL)
	{
		printf("Impossibile aprire il file Trains.txt");
		abort();
	}

	trains = readTrainsFromTxt(f, &dim);
	printTrains(trains, dim);

	printf("Stazione di partenza: ");
	gets(departureStation);
	printf("Stazione di arrivo: ");
	gets(arrivalStation);

	for (i = 0; i < dim; i++)
	{ 
		stopList = extractStopListFromTrain(trains[i], departureStation, arrivalStation);
		if (stopList != NULL)
		{
			char trainString[256];
			char timeString[10];
			//char* timeStringPtr;
			Time t;
			double price;

			trainToString(trains[i], trainString);
			t = tripTime(stopList);
			timeToString(&t, timeString);
			//timeStringPtr = timeToStringPtr(&t);
			price = tripPrice(stopList);

			printf("Treno: %sTempo: %s\nPrezzo: %f\n\n", trainString, timeString, price);
		}
	}
}