#include <stdio.h>
#include "time.h"

#ifndef TRAINSTOP
#define TRAINSTOP

typedef char StationName[51];

typedef struct TrainStopStruct
{
	StationName station;
	Time *arrival;
	Time *departure;
} TrainStop;

typedef TrainStop Element;

#endif

Boolean inStation(TrainStop stop, StationName name);
Boolean readTrainStopFromTxt(FILE *f, TrainStop *stop);
void trainStopToString(TrainStop stop, char buffer[]);