#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "boolean.h"
#include "trainstoplist.h"

/* OPERAZIONI PRIMITIVE */
TrainStopList emptyList(void)		/* costruttore lista vuota */
{ 
	return NULL; 
}

Boolean empty(TrainStopList l)	/* verifica se lista vuota */
{ 
	return l == NULL;
}

TrainStopList cons(TrainStop e, TrainStopList l)
{ 
	TrainStopList t;       /* costruttore che aggiunge in testa alla lista */
	t = (TrainStopList)malloc(sizeof(TrainStopListElement));
	t->data = e;
	t->next = l;
	return t;
}

TrainStop head(TrainStopList l) /* selettore testa lista */
{ 
	if (empty(l)) 
	{
		//Per evitare warning...
		TrainStop fake;
		abort();
		return fake;
	}
	else
	{
		return l->data; 
	}
}

TrainStopList tail(TrainStopList l)         /* selettore coda lista */
{ 
	if (empty(l))
	{
		abort();
		return NULL;
	}
	else 
	{
		return l->next; 
	}
}