#include <stdio.h>
#include "trainstop.h"
#include "boolean.h"

#ifndef TRAINSTOPLIST
#define TRAINSTOPLIST

typedef struct TrainStopListStruct
{
	TrainStop data;
	struct TrainStopListStruct *next;
} TrainStopListElement;

typedef TrainStopListElement *TrainStopList;

#endif

TrainStopList emptyList(void);
Boolean empty(TrainStopList);
TrainStopList cons(TrainStop, TrainStopList);
TrainStop head(TrainStopList);
TrainStopList tail(TrainStopList);