#include <stdio.h>
#include "boolean.h"
#include "trainstoplist.h"

#ifndef TRAIN
#define TRAIN

typedef char TrainName[41];

typedef struct TrainStruct
{
	int code;
	TrainName name;
	TrainStopList stopList;
} Train;

#endif

Boolean readTrainFromTxt(FILE *f, Train *train);
Train* readTrainsFromTxt(FILE *f, int *dim);

void trainToString(Train train, char buffer[]);
void printTrains(Train trains[], int dim);

TrainStopList extractStopListFromTrain(Train train, StationName departureStation, StationName arrivalStation);
Time tripTime(TrainStopList stopList);
double tripPrice(TrainStopList stopList);

