#include <stdio.h>
#include "trainstop.h"
#include "boolean.h"

#ifndef TRAINSTOPLIST
#define TRAINSTOPLIST

typedef struct TrainStopListStruct
{
	TrainStop data;
	struct TrainStopListStruct *next;
} TrainStopListElement;

typedef TrainStopListElement *TrainStopList;

#endif

TrainStopList emptyList(void);
Boolean empty(TrainStopList);
TrainStopList cons(TrainStop, TrainStopList);
TrainStop head(TrainStopList);
TrainStop last(TrainStopList l);
TrainStopList tail(TrainStopList);
TrainStopList addToList(TrainStop stop, TrainStopList l);

TrainStopList copyFromTo(TrainStopList from, TrainStopList to);

TrainStopList extractStopList(TrainStopList stopList, StationName departureStation, StationName arrivalStation);

void trainStopListToString(TrainStopList stopList, char buffer[]);

TrainStopList readTrainStopListFromTxt(FILE *f);
